Passer au contenu principal
GET
/
v1
/
crawls
/
{crawl_id}
Récupérer les informations de crawl
curl --request GET \
  --url https://api.olostep.com/v1/crawls/{crawl_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "object": "<string>",
  "status": "<string>",
  "created": 123,
  "start_date": "<string>",
  "start_url": "<string>",
  "max_pages": 123,
  "max_depth": 123,
  "exclude_urls": [
    "<string>"
  ],
  "include_urls": [
    "<string>"
  ],
  "include_external": true,
  "search_query": "<string>",
  "top_n": 123,
  "current_depth": 123,
  "pages_count": 123,
  "webhook": "<string>",
  "follow_robots_txt": true
}

Autorisations

Authorization
string
header
requis

En-tête d'authentification Bearer sous la forme Bearer , où est ton jeton d'authentification.

Paramètres de chemin

crawl_id
string
requis

L'ID du crawl pour lequel récupérer des informations.

Réponse

Réponse réussie avec les informations de crawl.

id
string

ID du Crawl

object
string

Le type d'objet. "crawl" pour ce point de terminaison.

status
string

in_progress ou completed

created
number

Heure de création en epoch

start_date
string

Heure de création en date

start_url
string
max_pages
number
max_depth
number
exclude_urls
string[]
include_urls
string[]
include_external
boolean
search_query
string
top_n
number
current_depth
number

La profondeur actuelle du processus de crawl.

pages_count
number

Nombre de pages crawlées

webhook
string
follow_robots_txt
boolean